{"openapi":"3.1.0","info":{"title":"Open Mercato API","version":"0.6.1","description":"Auto-generated OpenAPI definition for all enabled modules."},"servers":[{"url":"https://crm.nf-hotel.pl","description":"Default environment"}],"paths":{"/auth/locale":{"get":{"operationId":"auth_get_auth_locale","summary":"GET /auth/locale","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetResponses200ContentApplicationJsonSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/locale\" \\\n  -H \"Accept: application/json\""}]},"post":{"operationId":"auth_post_auth_locale","summary":"POST /auth/locale","tags":["Authentication & Accounts"],"parameters":[],"responses":{"201":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocalePostResponses201ContentApplicationJsonSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/locale\" \\\n  -H \"Accept: application/json\""}]}},"/auth/profile":{"get":{"operationId":"auth_get_auth_profile","summary":"Get current profile","description":"Returns the email address for the signed-in user.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Profile payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses200ContentApplicationJsonSchema"},"example":{"email":"user@example.com","roles":["string"]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/profile\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_profile","summary":"Update current profile","description":"Updates the email address or password for the signed-in user.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Profile updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"email":"user@example.com"}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/profile\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-auth":true}},"/auth/roles/acl":{"get":{"operationId":"auth_get_auth_roles_acl","summary":"Fetch role ACL","description":"Returns the feature and organization assignments associated with a role within the current tenant.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"roleId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetParameters1Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Role ACL entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses200ContentApplicationJsonSchema"},"example":{"isSuperAdmin":true,"features":["string"],"organizations":null}}}},"400":{"description":"Invalid role id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/roles/acl?roleId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_roles_acl","summary":"Update role ACL","description":"Replaces the feature list, super admin flag, and optional organization assignments for a role.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutRequestBodyContentApplicationJsonSchema"},"example":{"roleId":"00000000-0000-4000-8000-000000000000","organizations":null}}}},"responses":{"200":{"description":"Role ACL updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"sanitized":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/roles/acl\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"roleId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"organizations\\\": null\n}\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/roles":{"get":{"operationId":"auth_get_auth_roles","summary":"List roles","description":"Returns available roles within the current tenant. Super administrators receive visibility across tenants.\n\nRequires features: auth.roles.list","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters3Schema"},"example":"string"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters4Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Role collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","usersCount":1,"tenantId":null,"tenantName":null}],"total":1,"totalPages":1}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/roles?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.roles.list"],"x-require-auth":true},"post":{"operationId":"auth_post_auth_roles","summary":"Create role","description":"Creates a new role for the current tenant or globally when `tenantId` is omitted.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string"}}}},"responses":{"201":{"description":"Role created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/roles\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\"\n}\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_roles","summary":"Update role","description":"Updates mutable fields on an existing role.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"200":{"description":"Role updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/roles\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_roles","summary":"Delete role","description":"Deletes a role by identifier. Fails when users remain assigned.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000","description":"Role identifier"}],"responses":{"200":{"description":"Role deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Role cannot be deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/auth/roles?id=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true}},"/auth/sidebar/preferences":{"get":{"operationId":"auth_get_auth_sidebar_preferences","summary":"Get sidebar preferences","description":"Returns sidebar customization for the current user (default) or the specified role (`?roleId=…`, requires `auth.sidebar.manage`).","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Current sidebar configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"canApplyToRoles":true,"roles":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","hasPreference":true}],"scope":{"type":"user"}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Missing features for role-scope read","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_sidebar_preferences","summary":"Update sidebar preferences","description":"Updates sidebar configuration. With `scope.type === \"user\"` (default) writes the calling user's personal preferences and may optionally apply the same settings to selected roles via `applyToRoles[]`. With `scope.type === \"role\"` writes the named role variant directly (requires `auth.sidebar.manage`); `applyToRoles[]` and `clearRoleIds[]` are rejected in this mode.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Preferences saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"canApplyToRoles":true,"roles":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","hasPreference":true}],"scope":{"type":"user"},"appliedRoles":["00000000-0000-4000-8000-000000000000"],"clearedRoles":["00000000-0000-4000-8000-000000000000"]}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_sidebar_preferences","summary":"Delete a role sidebar variant","description":"Removes the role variant for the current tenant + locale. Idempotent. Requires `auth.sidebar.manage`.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Variant deleted (or never existed)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"scope":{"type":"user"}}}}},"400":{"description":"Missing roleId query parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/sidebar/variants":{"get":{"operationId":"auth_get_auth_sidebar_variants","summary":"List sidebar variants","description":"Returns the named sidebar variants saved by the current user for the current tenant + locale.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Variant list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variants":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/sidebar/variants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"post":{"operationId":"auth_post_auth_sidebar_variants","summary":"Create a sidebar variant","description":"Creates a new variant. If `name` is omitted or blank, an auto-name like \"My preferences\", \"My preferences 2\", … is assigned.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Variant created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/sidebar/variants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/users/acl":{"get":{"operationId":"auth_get_auth_users_acl","summary":"Fetch user ACL","description":"Returns custom ACL overrides for a user within the current tenant, if any.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"userId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"User ACL entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses200ContentApplicationJsonSchema"},"example":{"hasCustomAcl":true,"isSuperAdmin":true,"features":["string"],"organizations":null}}}},"400":{"description":"Invalid user id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/users/acl?userId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_users_acl","summary":"Update user ACL","description":"Configures per-user ACL overrides, including super admin access, feature list, and organization scope.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutRequestBodyContentApplicationJsonSchema"},"example":{"userId":"00000000-0000-4000-8000-000000000000","organizations":null}}}},"responses":{"200":{"description":"User ACL updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"sanitized":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/users/acl\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"userId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"organizations\\\": null\n}\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/users/consents":{"get":{"operationId":"auth_get_auth_users_consents","summary":"List user consents","description":"Returns all consent records for a given user, with integrity verification status.\n\nRequires features: auth.users.edit","tags":["Auth"],"parameters":[{"name":"userId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Consent list returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses200ContentApplicationJsonSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/users/consents?userId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.edit"],"x-require-auth":true}},"/auth/users/resend-invite":{"post":{"operationId":"auth_post_auth_users_resend_invite","summary":"Resend invitation email","description":"Resends the invitation email to a user who has not yet set up their password. Generates a new 48-hour setup token and invalidates prior tokens.\n\nRequires features: auth.users.create","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"200":{"description":"Invite email sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid request origin","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"409":{"description":"User already has a password","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses409ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses422ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"500":{"description":"Invitation email origin is not configured","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/users/resend-invite\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.users.create"],"x-require-auth":true}},"/auth/users":{"get":{"operationId":"auth_get_auth_users","summary":"List users","description":"Returns users for the current tenant. Search matches email, organization name, and role name. Super administrators may scope the response via organization or role filters.\n\nRequires features: auth.users.list","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters3Schema"},"example":"string"},{"name":"name","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters4Schema"},"example":"string"},{"name":"organizationId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters5Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"roleIds","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters6Schema"},"example":["00000000-0000-4000-8000-000000000000"]}],"responses":{"200":{"description":"User collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","email":"user@example.com","name":null,"organizationId":null,"organizationName":null,"tenantId":null,"tenantName":null,"roles":["string"]}],"total":1,"totalPages":1}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/users?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.list"],"x-require-auth":true},"post":{"operationId":"auth_post_auth_users","summary":"Create user","description":"Creates a new confirmed user within the specified organization, optional display name, and optional roles.\n\nRequires features: auth.users.create","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostRequestBodyContentApplicationJsonSchema"},"example":{"email":"user@example.com","organizationId":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"201":{"description":"User created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Invalid payload or duplicate email","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/users\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"email\\\": \\\"user@example.com\\\",\n  \\\"organizationId\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.users.create"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_users","summary":"Update user","description":"Updates profile fields including display name, organization assignment, credentials, or role memberships.\n\nRequires features: auth.users.edit","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"200":{"description":"User updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/users\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.users.edit"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_users","summary":"Delete user","description":"Deletes a user by identifier. Undo support is provided via the command bus.\n\nRequires features: auth.users.delete","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000","description":"User identifier"}],"responses":{"200":{"description":"User deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"User cannot be deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/auth/users?id=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.delete"],"x-require-auth":true}},"/auth/sidebar/variants/{id}":{"get":{"operationId":"auth_get_auth_sidebar_variants_id","summary":"Get a sidebar variant","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetParameters0Schema"}}],"responses":{"200":{"description":"Variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_sidebar_variants_id","summary":"Update a sidebar variant","description":"Updates the variant's name, settings, and/or isActive flag. Setting `isActive: true` deactivates other variants in the same scope (only one active per user/tenant/locale).\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutParameters0Schema"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Variant updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_sidebar_variants_id","summary":"Delete a sidebar variant","description":"Soft-deletes the variant (sets deleted_at).\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteParameters0Schema"}}],"responses":{"200":{"description":"Variant deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/admin/nav":{"get":{"operationId":"auth_get_auth_admin_nav","summary":"Resolve backend chrome bootstrap payload","description":"Returns the backend chrome payload available to the authenticated administrator after applying scope, RBAC, role defaults, and personal sidebar preferences.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Backend chrome payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthAdminNavGetResponses200ContentApplicationJsonSchema"},"example":{"groups":[{"name":"string","items":[{"href":"string","title":"string"}]}],"settingsSections":[{"id":"string","label":"string","items":[{"id":"string","label":"string","href":"string"}]}],"settingsPathPrefixes":["string"],"profileSections":[{"id":"string","label":"string","items":[{"id":"string","label":"string","href":"string"}]}],"profilePathPrefixes":["string"],"grantedFeatures":["string"],"roles":["string"]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthAdminNavGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/admin/nav\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/auth/feature-check":{"post":{"operationId":"auth_post_auth_feature_check","summary":"Check feature grants for the current user","description":"Evaluates which of the requested features are available to the signed-in user within the active tenant / organization context.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostRequestBodyContentApplicationJsonSchema"},"example":{"features":["string"]}}},"description":"Feature identifiers to evaluate."},"responses":{"200":{"description":"Evaluation result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"granted":["string"],"userId":"string"}}}},"400":{"description":"Invalid request — features array missing, too large, or contains invalid entries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/feature-check\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"features\\\": [\n    \\\"string\\\"\n  ]\n}\""}],"x-require-auth":true}},"/auth/features":{"get":{"operationId":"auth_get_auth_features","summary":"List declared feature flags","description":"Returns all static features contributed by the enabled modules along with their module source.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Aggregated feature catalog","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"string","title":"string","module":"string"}],"modules":[{"id":"string","title":"string"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/features\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/login":{"post":{"operationId":"auth_post_auth_login","summary":"Authenticate user credentials","description":"Validates the submitted credentials and issues a bearer token cookie for subsequent API calls.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"email":"user@example.com","password":"string"}}},"description":"Form-encoded payload captured from the login form."},"responses":{"200":{"description":"Authentication succeeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"token":"string","redirect":null}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Invalid credentials","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses401ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"403":{"description":"User lacks required role","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses403ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many login attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/login\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"email=user%40example.com&password=string\""}]}},"/auth/logout":{"get":{"operationId":"auth_get_auth_logout","summary":"Log out (legacy GET)","description":"For convenience, the GET variant performs the same logout logic as POST and issues a redirect.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses200ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to login after successful logout","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses302ContentTextHtmlSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/logout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"post":{"operationId":"auth_post_auth_logout","summary":"Invalidate session and redirect","description":"Clears authentication cookies and redirects the browser to the login page.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"201":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses201ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to login after successful logout","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses302ContentTextHtmlSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/logout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/auth/reset/confirm":{"post":{"operationId":"auth_post_auth_reset_confirm","summary":"Complete password reset","description":"Validates the reset token and updates the user password.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"token":"string","password":"string"}}}},"responses":{"200":{"description":"Password reset succeeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"redirect":"string"}}}},"400":{"description":"Invalid token or payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many reset confirmation attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/reset/confirm\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"token=string&password=string\""}]}},"/auth/reset":{"post":{"operationId":"auth_post_auth_reset","summary":"Send reset email","description":"Requests a password reset email for the given account. The endpoint always returns `ok: true` to avoid leaking account existence.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"email":"user@example.com"}}}},"responses":{"200":{"description":"Reset email dispatched (or ignored for unknown accounts)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid request origin","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"429":{"description":"Too many password reset requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"500":{"description":"Password reset email origin is not configured","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/reset\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"email=user%40example.com\""}]}},"/auth/session/refresh":{"get":{"operationId":"auth_get_auth_session_refresh","summary":"Refresh auth cookie from session token (browser)","description":"Exchanges an existing `session_token` cookie for a fresh JWT auth cookie and redirects the browser.","tags":["Authentication & Accounts"],"parameters":[{"name":"redirect","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetParameters0Schema"},"example":"string","description":"Absolute or relative URL to redirect after refresh"}],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetResponses200ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to target location when session is valid","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetResponses302ContentTextHtmlSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/auth/session/refresh\" \\\n  -H \"Accept: application/json\""}]},"post":{"operationId":"auth_post_auth_session_refresh","summary":"Refresh access token (API/mobile)","description":"Exchanges a refresh token for a new JWT access token. Pass the refresh token obtained from login in the request body.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostRequestBodyContentApplicationJsonSchema"},"example":{"refreshToken":"string"}}}},"responses":{"200":{"description":"New access token issued","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"accessToken":"string","expiresIn":1}}}},"400":{"description":"Missing refresh token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Invalid or expired token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses401ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many refresh attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/auth/session/refresh\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"refreshToken\\\": \\\"string\\\"\n}\""}]}},"/directory/organization-switcher":{"get":{"operationId":"directory_get_directory_organization_switcher","summary":"Load organization switcher menu","description":"Returns the hierarchical menu of organizations the current user may switch to within the active tenant.","tags":["Directory"],"parameters":[],"responses":{"200":{"description":"Organization switcher payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationSwitcherGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","depth":1,"selectable":true,"children":[]}],"selectedId":null,"canManage":true,"canViewAllOrganizations":true,"tenantId":null,"tenants":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true}],"isSuperAdmin":true}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationSwitcherGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/directory/organization-switcher\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/directory/organizations":{"get":{"operationId":"directory_get_directory_organizations","summary":"List organizations","description":"Returns organizations using options, tree, or paginated manage view depending on the `view` parameter.\n\nRequires features: directory.organizations.view","tags":["Directory"],"parameters":[{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters0Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters1Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters2Schema"},"example":"string"},{"name":"view","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters3Schema"},"example":"options"},{"name":"ids","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters4Schema"},"example":"string"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters5Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"includeInactive","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters6Schema"},"example":"true"},{"name":"status","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters7Schema"},"example":"all"}],"responses":{"200":{"description":"Organization data for the requested view.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","parentId":null,"parentName":null,"tenantId":null,"tenantName":null,"rootId":null,"treePath":null}]}}}},"400":{"description":"Invalid query or tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/directory/organizations?page=1&pageSize=50&view=options\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["directory.organizations.view"],"x-require-auth":true},"post":{"operationId":"directory_post_directory_organizations","summary":"Create organization","description":"Creates a new organization within a tenant and optionally assigns hierarchy relationships.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string","slug":null,"parentId":null}}},"description":"Organization attributes and optional hierarchy configuration."},"responses":{"201":{"description":"Organization created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\",\n  \\\"slug\\\": null,\n  \\\"parentId\\\": null\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true},"put":{"operationId":"directory_put_directory_organizations","summary":"Update organization","description":"Updates organization details and hierarchy assignments.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000","slug":null,"parentId":null}}},"description":"Organization identifier followed by fields to update."},"responses":{"200":{"description":"Organization updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"slug\\\": null,\n  \\\"parentId\\\": null\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true},"delete":{"operationId":"directory_delete_directory_organizations","summary":"Delete organization","description":"Soft deletes an organization identified by id.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}},"description":"Identifier of the organization to delete."},"responses":{"200":{"description":"Organization deleted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true}},"/directory/tenants":{"get":{"operationId":"directory_get_directory_tenants","summary":"List tenants","description":"Returns tenants visible to the current user with optional search and pagination.\n\nRequires features: directory.tenants.view","tags":["Directory"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters3Schema"},"example":"string"},{"name":"sortField","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters4Schema"},"example":"name"},{"name":"sortDir","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters5Schema"},"example":"asc"},{"name":"isActive","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters6Schema"},"example":"true"}],"responses":{"200":{"description":"Paged list of tenants.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"createdAt":null,"updatedAt":null}],"total":1,"page":1,"pageSize":1,"totalPages":1}}}},"400":{"description":"Invalid query parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/directory/tenants?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["directory.tenants.view"],"x-require-auth":true},"post":{"operationId":"directory_post_directory_tenants","summary":"Create tenant","description":"Creates a new tenant and returns its identifier.\n\nRequires features: directory.tenants.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string"}}},"description":"Tenant name and optional activation flag."},"responses":{"201":{"description":"Tenant created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/directory/tenants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\"\n}\""}],"x-require-features":["directory.tenants.manage"],"x-require-auth":true},"put":{"operationId":"directory_put_directory_tenants","summary":"Update tenant","description":"Updates tenant properties such as name or activation state.\n\nRequires features: directory.tenants.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}},"description":"Tenant identifier with fields to update."},"responses":{"200":{"description":"Tenant updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://crm.nf-hotel.pl/directory/tenants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["directory.tenants.manage"],"x-require-auth":true},"delete":{"operationId":"directory_delete_directory_tenants","summary":"Delete tenant","description":"Soft deletes the tenant identified by id.\n\nRequires features: directory.tenants.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsDeleteRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}},"description":"Identifier of the tenant to remove."},"responses":{"200":{"description":"Tenant removed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://crm.nf-hotel.pl/directory/tenants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["directory.tenants.manage"],"x-require-auth":true}},"/directory/organizations/lookup":{"get":{"operationId":"directory_get_directory_organizations_lookup","summary":"Public organization lookup by slug","tags":["Directory (Tenants & Organizations)"],"parameters":[],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsLookupGetResponses200ContentApplicationJsonSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/directory/organizations/lookup\" \\\n  -H \"Accept: application/json\""}]}},"/directory/tenants/lookup":{"get":{"operationId":"directory_get_directory_tenants_lookup","summary":"Public tenant lookup","tags":["Directory (Tenants & Organizations)"],"parameters":[],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsLookupGetResponses200ContentApplicationJsonSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/directory/tenants/lookup\" \\\n  -H \"Accept: application/json\""}]}},"/configs/cache":{"get":{"operationId":"configs_get_configs_cache","summary":"Get cache statistics","description":"Returns detailed cache statistics including total entries and breakdown by cache segments. Requires cache service to be available.\n\nRequires features: configs.cache.view","tags":["Configs"],"parameters":[],"responses":{"200":{"description":"Cache statistics","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCacheGetResponses200ContentApplicationJsonSchema"},"example":{"total":1,"segments":{"key":1}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCacheGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCacheGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to resolve cache stats","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCacheGetResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"503":{"description":"Cache service unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCacheGetResponses503ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/configs/cache\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["configs.cache.view"],"x-require-auth":true},"post":{"operationId":"configs_post_configs_cache","summary":"Purge cache","description":"Purges cache entries. Supports two actions: purgeAll (clears entire cache) or purgeSegment (clears specific segment). Returns updated cache statistics after purge.\n\nRequires features: configs.cache.manage","tags":["Configs"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostRequestBodyContentApplicationJsonSchema"},"example":{"action":"purgeAll"}}}},"responses":{"200":{"description":"Cache segment cleared successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses200ContentApplicationJsonSchema"},"example":{"action":"purgeSegment","segment":"string","deleted":1,"stats":{"total":1,"segments":{"key":1}}}}}},"400":{"description":"Invalid request - missing segment identifier for purgeSegment action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to purge cache","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"503":{"description":"Cache service unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsCachePostResponses503ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/configs/cache\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"action\\\": \\\"purgeAll\\\"\n}\""}],"x-require-features":["configs.cache.manage"],"x-require-auth":true}},"/configs/system-status":{"get":{"operationId":"configs_get_configs_system_status","summary":"Get system health status","description":"Returns comprehensive system health information including environment details, version, resource usage, and service connectivity status.\n\nRequires features: configs.system_status.view","tags":["Configs"],"parameters":[],"responses":{"200":{"description":"System status snapshot","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusGetResponses200ContentApplicationJsonSchema"},"example":{"generatedAt":"string","runtimeMode":"development","categories":[{"key":"profiling","labelKey":"string","descriptionKey":null,"items":[{"key":"string","category":"profiling","kind":"boolean","labelKey":"string","descriptionKey":"string","docUrl":null,"defaultValue":null,"state":"enabled","value":null,"normalizedValue":null}]}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to load system status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusGetResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/configs/system-status\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["configs.system_status.view"],"x-require-auth":true},"post":{"operationId":"configs_post_configs_system_status","summary":"Clear system cache","description":"Purges the entire cache for the current tenant. Useful for troubleshooting or forcing fresh data loading.\n\nRequires features: configs.manage","tags":["Configs"],"parameters":[],"responses":{"200":{"description":"Cache cleared successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusPostResponses200ContentApplicationJsonSchema"},"example":{"cleared":true}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to purge cache","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"503":{"description":"Cache service unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsSystemStatusPostResponses503ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/configs/system-status\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["configs.manage"],"x-require-auth":true}},"/configs/upgrade-actions":{"get":{"operationId":"configs_get_configs_upgrade_actions","summary":"List pending upgrade actions","description":"Returns a list of pending upgrade actions for the current version. These are one-time setup tasks that need to be executed after upgrading to a new version. Requires organization and tenant context.\n\nRequires features: configs.manage","tags":["Configs"],"parameters":[],"responses":{"200":{"description":"List of pending upgrade actions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsGetResponses200ContentApplicationJsonSchema"},"example":{"version":"string","actions":[{"id":"string","version":"string","message":"string","ctaLabel":"string","successMessage":"string","loadingLabel":"string"}]}}}},"400":{"description":"Missing organization or tenant context","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to load upgrade actions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsGetResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/configs/upgrade-actions\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["configs.manage"],"x-require-auth":true},"post":{"operationId":"configs_post_configs_upgrade_actions","summary":"Execute upgrade action","description":"Executes a specific upgrade action by ID. Typically used for one-time setup tasks like seeding example data after version upgrade. Returns execution status and localized success message.\n\nRequires features: configs.manage","tags":["Configs"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostRequestBodyContentApplicationJsonSchema"},"example":{"actionId":"string"}}}},"responses":{"200":{"description":"Upgrade action executed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostResponses200ContentApplicationJsonSchema"},"example":{"status":"string","message":"string","version":"string"}}}},"400":{"description":"Invalid request body or missing context","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Failed to execute upgrade action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsConfigsUpgradeActionsPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/configs/upgrade-actions\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"actionId\\\": \\\"string\\\"\n}\""}],"x-require-features":["configs.manage"],"x-require-auth":true}},"/entities/definitions.batch":{"post":{"operationId":"entities_post_entities_definitions_batch","summary":"Save multiple custom field definitions","description":"Creates or updates multiple definitions for a single entity in one transaction.\n\nRequires features: entities.definitions.manage","tags":["Entities"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostRequestBodyContentApplicationJsonSchema"},"example":{"entityId":"string","definitions":[{"key":"string","kind":"text"}]}}}},"responses":{"200":{"description":"Definitions saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Unexpected failure","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsBatchPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://crm.nf-hotel.pl/entities/definitions.batch\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"entityId\\\": \\\"string\\\",\n  \\\"definitions\\\": [\n    {\n      \\\"key\\\": \\\"string\\\",\n      \\\"kind\\\": \\\"text\\\"\n    }\n  ]\n}\""}],"x-require-features":["entities.definitions.manage"],"x-require-auth":true}},"/entities/definitions.manage":{"get":{"operationId":"entities_get_entities_definitions_manage","summary":"Get management snapshot","description":"Returns scoped custom field definitions (including inactive tombstones) for administration interfaces.\n\nRequires features: entities.definitions.manage","tags":["Entities"],"parameters":[{"name":"entityId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsManageGetParameters0Schema"},"example":"string"}],"responses":{"200":{"description":"Scoped definitions and deleted keys","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsManageGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","key":"string","kind":"string","configJson":null,"organizationId":null,"tenantId":null}],"deletedKeys":["string"]}}}},"400":{"description":"Missing entity id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsManageGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsManageGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsEntitiesDefinitionsManageGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://crm.nf-hotel.pl/entities/definitions.manage?entityId=string\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["entities.definitions.manage"],"x-require-auth":true}},"/entities/definitions.restore":{"post":{"operationId":"entities_post_entities_definitions_restore","summary":"Restore definition","description":"Reactivates a previously soft-deleted definition within the current tenant/org scope.\n\nRequires features: entities.definitions.manage","tags":["Entities"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":
[...]
